This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 972510 - [abrt] setroubleshoot-server-3.2.3-3.fc18: analyze.py:388:lookup_signature:ProgramError: [Errno 1001] signature not found
[abrt] setroubleshoot-server-3.2.3-3.fc18: analyze.py:388:lookup_signature:Pr...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:b35fa9fb6e0c8460cde6786ab92...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 15:18 EDT by Moez Roy
Modified: 2013-08-22 08:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 08:09:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.08 KB, text/plain)
2013-06-09 15:18 EDT, Moez Roy
no flags Details
File: core_backtrace (696 bytes, text/plain)
2013-06-09 15:18 EDT, Moez Roy
no flags Details
File: environ (92 bytes, text/plain)
2013-06-09 15:18 EDT, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2013-06-09 15:18:03 EDT
Version-Release number of selected component:
setroubleshoot-server-3.2.3-3.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python -Es /usr/sbin/setroubleshootd -f ''
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/sbin/setroubleshootd
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
analyze.py:388:lookup_signature:ProgramError: [Errno 1001] signature not found

Traceback (most recent call last):
  File "/usr/lib64/python2.7/atexit.py", line 24, in _run_exitfuncs
    func(*targs, **kargs)
  File "/usr/lib64/python2.7/site-packages/setroubleshoot/server.py", line 517, in goodbye
    database.save()
  File "/usr/lib64/python2.7/site-packages/setroubleshoot/analyze.py", line 344, in save
    self.prune()
  File "/usr/lib64/python2.7/site-packages/setroubleshoot/analyze.py", line 309, in prune
    self.delete_signature(sig, prune=True)
  File "/usr/lib64/python2.7/site-packages/setroubleshoot/analyze.py", line 426, in delete_signature
    siginfo = self.lookup_signature(sig)
  File "/usr/lib64/python2.7/site-packages/setroubleshoot/analyze.py", line 388, in lookup_signature
    raise ProgramError(ERR_NO_SIGNATURE_MATCH)
ProgramError: [Errno 1001] signature not found

Local variables in innermost frame:
matches: []
siginfo: None
self: <setroubleshoot.analyze.SETroubleshootDatabase object at 0x143f790>
sig: <setroubleshoot.signature.SEFaultSignature object at 0x6370b10>
Comment 1 Moez Roy 2013-06-09 15:18:07 EDT
Created attachment 758903 [details]
File: backtrace
Comment 2 Moez Roy 2013-06-09 15:18:10 EDT
Created attachment 758904 [details]
File: core_backtrace
Comment 3 Moez Roy 2013-06-09 15:18:13 EDT
Created attachment 758905 [details]
File: environ
Comment 4 Miroslav Grepl 2013-06-13 07:23:34 EDT
Were you trying to report a bug when this happened?
Comment 5 Moez Roy 2013-06-13 11:20:03 EDT
No.

When I tried to open SElinux Troubleshooter, I got this.
Comment 6 Daniel Walsh 2013-06-19 17:03:24 EDT
I think you should clear your setroubleshoot database.

# killall -9 setroubleshootd
# > /var/lib/setroubleshoot/setroubleshoot_database.xml 

And try it again

Note You need to log in before you can comment on or make changes to this bug.